Will it work with VIX 1.10?

Jan 24, 2011 at 4:58 AM

I've been trying to get the sample running for about an hour now and no luck, I'm getting this error:

C:\Users\mfisch\Desktop\Test\RemoteInstall\bin>RemoteInstaller.exe /config:foo.config /outputDir:tests\testlogs /outputXml:testlog.xml

RemoteInstaller 1.2.8669.0: Product Test Driver

Loading foo.config ...

Results will be written to 'C:\Users\mfisch\Desktop\Test\RemoteInstall\bin\tests\testlogs'

Starting 1 parallel installation(s) (1 max) ...

Loading 'Win7 Home'

Connecting to 'localhost' (Workstation)

ERROR: The specified version was not found

Closing 'C:\Users\mfisch\Documents\Virtual Machines\Win7 Home\Win7 Home.vmx' (Workstation)

Disconnecting from 'localhost' (Workstation)ERROR: The work item caused an excpetion, see the inner exception for details

 

Based on poking around, this seems to be a VIX config issue.  I was using VIX 1.10, will it work with that?

I've triple checked my config file, especially the paths, and I'm pretty sure this should work.

Jan 24, 2011 at 5:00 AM

Update, same issue with VIX 1.7.  Any ideas?

Coordinator
Jan 24, 2011 at 12:33 PM

It's definitely a problem with VixCOM. Which version of VMWare Workstation do you have?

Jan 24, 2011 at 2:29 PM

I just updated to 6.5.5.

I found other people saying this fixed it, although not in relation to RemoteInstall:

"it is just a little mistake in vixwrapper-config.txt.

the vix-1.10 has no section for workstation 7.0.1

just fill the lines below in the  vixwrapper-config.txt and all works fine"

 

 

Jan 24, 2011 at 2:36 PM

UPDATE: I found vixwrapper-config.txt and saw that there was no entry for Workstation 6.5.5, I added the following lines:

ws       4  vmdb  6.5.5 Workstation-6.5.5

ws       4  vmdb  6.5.5 Workstation-6.5.0

ws       4  vmdb  6.5.5 Workstation-6.5.1

ws       4  vmdb  6.5.5 Workstation-6.5.2

 

And now it works.  The first line definitely did not fix it, so I just added all the rest and one of them did.